@ECHO OFF

if not exist AuthentiCode\Makecert.exe goto nomakecert

if "%1" == "" goto usage

if exist cert\SPVcert.cer goto already
if exist cert\SPVcert.key goto already

goto call

:already

echo A certificate has already been created.Type RETURN to create a new one, or CTRL-C to exit
pause
del cert\SPVcert.cer
del cert\SPVcert.key

:call

echo Creating certificate...
echo Type the password you wish to assign to your private key
echo or click "None" to assign no password

AuthentiCode\makecert -r -cy both -sv cert\SPVcert.key -eku 1.3.6.1.5.5.7.3.3 -n "CN=%1 %2 %3 %4 %5 %6 %7 %8 %9" cert\SPVcert.cer
AuthentiCode\cert2spc cert\SPVcert.cer cert\SPVcert.spc

echo Certificate successfuly created !

goto quit

:usage

echo %0 : Create Windows Mobile certificate
echo Use : %0 certificate name
echo Example : %0 My SPV Certificate

goto quit

:nomakecert

echo Makecert.exe was not found in AuthentiCode directory
echo Please download it from http://download.microsoft.com/download/b/e/f/bef2551b-401d-4311-ab8f-13d3892b8154/codesigningx86.exe

:quit